Bug 356221 - gnome-power-manager does not save changes made to certain settings
gnome-power-manager does not save changes made to certain settings
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-29 03:48 EDT by John Richards
Modified: 2013-03-05 22:53 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 07:39:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Richards 2007-10-29 03:48:21 EDT
Description:
Any changes made to the "Put display to sleep when inactive for" and "Enable UPS
discharge alarm" settings under the "On UPS Power" tab of gnome-power-manager
are not saved.

Version-Release number of selected component (if applicable):
2.18.3-1
Comment 1 Richard Hughes 2008-04-30 05:30:07 EDT
Sure, I need somebody to help out upstream with the UPS stuff. Volunteers
welcomed with open arms!
Comment 2 Bug Zapper 2008-05-14 10:53:52 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 John Richards 2008-05-20 02:13:25 EDT
This same problem exists in Fedora 8, so I updated to version to reflect that.

Depending on what needs done, I may be able to help out.
Comment 4 Bug Zapper 2008-11-26 03:07:37 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 02:21:07 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Eric Work 2009-02-23 00:59:49 EST
This is still a problem in Fedora 10.
Comment 7 Y-H 2009-06-17 23:41:06 EDT
I am experiencing this problem in Fedora 11. I set "Put display to sleep when inactive for" to "Never" in Fedora 10 just prior to upgrade (actually a fresh install, preserving the home directory). That change stuck, but changes to the setting since the upgrade do not seem to be taking effect (i.e., inactive states do not appear to put my system to sleep).
Comment 8 Y-H 2009-06-17 23:46:12 EDT
Slight correction to my comment: changes to "Put display to sleep when inactive" DO seem to register on my system, but changes to "Put computer to sleep when inactive" DO NOT seem to register. Let me know if I should file a new bug report.
Comment 9 Richard Hughes 2009-08-20 07:39:56 EDT
The original problem (and the blanking problem) should now be fixed in F11.
Comment 10 Y-H 2009-08-21 00:24:39 EDT
The most recent update of gnome-power-manager seems to have fixed this. Thanks!!
Comment 11 Y-H 2009-08-21 01:59:47 EDT
Looks like there is still a little work to be done. My computer just went to sleep even though I was using it. Display had been asleep, I came back, logged back in, and the computer went to sleep several minutes later. 

Earlier in the evening, the display went to sleep even though the computer was not idle. 

Let me know if there's any additional information I can provide and/or whether I should file a new bug report...

Note You need to log in before you can comment on or make changes to this bug.